2.3.X to 2.4.X Updated fine



  • All appeared fine here with GUI updating from 2.3.X to 2.4.X except the GUI / log showed.

    Updating repositories metadata…
    pkg-static: Warning: Major OS version upgrade detected. Running "pkg-static install -f pkg" recommended
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    done.
    pfSense repository is up to date.
    All repositories are up to date.

    Locking package pkg... done.
    2.4.0 version of pfSense is available

    The process will require 34 MiB more space.
    124 MiB to be downloaded.

    System update failed!

    I then went down the the abyss (server room).

    The console appeared to continue the update just fine.

    Kept downloading stuff and then rebooted.

    Watching console it removed addons, install new version of PFSense, reinstalled all of the addons just fine.

    Looked at the addons and saw that PFBlocker needed an update.  Updated fine:

    Upgrading pfSense-pkg-pfBlockerNG...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    The following 1 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    pfSense-pkg-pfBlockerNG: 2.1.1_11 -> 2.1.2 [pfSense]

    Number of packages to be upgraded: 1

    So everything is looking fine here …

    Thank you PFSense folks for making this a pleasant experience.



Log in to reply